VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "shConfig"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = True
Option Explicit

Private Sub Worksheet_Change(ByVal Target As Range)
    If Intersect(Target, shConfig.Range("debug_mode")) Is Nothing Then Exit Sub
    
    If shConfig.Range("debug_mode").Value Then
        shConfig.Visible = xlSheetVisible
        'shData.Visible = xlSheetVisible
        shMonthView.Visible = xlSheetVisible
        shMonthUpdate.Visible = xlSheetVisible
        shSupportingData.Visible = xlSheetVisible
        shWalk.Visible = xlSheetVisible
    Else
        shConfig.Visible = xlSheetVeryHidden
        'shData.Visible = xlSheetHidden
        shMonthView.Visible = xlSheetHidden
        shMonthUpdate.Visible = xlSheetVeryHidden
        shSupportingData.Visible = xlSheetVeryHidden
        shWalk.Visible = xlSheetVeryHidden
    End If
End Sub

